Skip to main content
DELETE
/
workspace
/
skill
/
{skill_name}
Remove Skill
curl --request DELETE \
  --url https://api.example.com/workspace/skill/{skill_name} \
  --header 'x-user-id: <x-user-id>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentscope.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Path Parameters

skill_name
string
required

Query Parameters

agent_id
string
required
session_id
string
required

Response

Successful Response